h4cc(1)

NAME
h4cc - compiles an HDF4 C program

SYNOPSIS
h4cc
[OPTIONS] <compile line>

DESCRIPTION
h4cc compiles an HDF4 C program.

OPTIONS

\FC-help\F[]
    Display usage information

\FC-echo\F[]
    Show all the shell commands executed

\FC-prefix\F[]=DIR
    Prefix directory to find HDF4 \FClib/\F[] and \FCinclude/\F[] subdirectories [default: /usr]

\FC-show\F[]
    Show the commands without executing them

\FC-shlib\F[]
    Compile with shared HDF4 libraries [default for hdf4 built without static libraries]

\FC-noshlib\F[]
    Compile with static HDF4 libraries [default for hdf4 built with static libraries]

<compile line>
    the normal compile line options for your compiler. h4cc uses the same compiler you used to compile HDF4. Check with your compiler's man pages for more information on which options are needed.

You can override the compiler, linker, and whether or not to use static or shared libraries to compile your program by setting the following environment variables accordingly:

HDF4_CC
    use a different C compiler

HDF4_CLINKER
    use a different linker

HDF4_USE_SHLIB=[yes|no]
    use shared or static version of the HDF4 library [default: no]